%define staticdevelname %mklibname bison -d -s

%bcond_without check

Summary:	A GNU general-purpose parser generator
Name:		bison
Version:	3.8.2
Release:	%mkrel 5
License:	GPLv3+
Group:		Development/Tools
URL:		http://www.gnu.org/software/bison/bison.html
Source0:	ftp://ftp.gnu.org/pub/gnu/bison/bison-%{version}.tar.xz
Patch0:		bison-1.32-extfix.patch
BuildRequires:	gettext-devel >= 0.20.2-4
BuildRequires:	help2man
BuildRequires:	m4 >= 1.4
#for tests
BuildRequires:	flex
Requires:	m4 >= 1.4

%description
Bison is a general purpose parser generator which converts a grammar
description for an LALR context-free grammar into a C program to parse
that grammar.  Bison can be used to develop a wide range of language
parsers, from ones used in simple desk calculators to complex programming
languages.  Bison is upwardly compatible with Yacc, so any correctly
written Yacc grammar should work with Bison without any changes.  If
you know Yacc, you shouldn't have any trouble using Bison (but you do need
to be very proficient in C programming to be able to use Bison).  Many
programs use Bison as part of their build process. Bison is only needed
on systems that are used for development.

If your system will be used for C development, you should install Bison
since it is used to build many C programs.

%package -n	%{staticdevelname}
Summary:	Static development library for using Bison-generated parsers
Group:		Development/Libraries
Requires:	bison = %{version}
Provides:	bison-devel-static = %{version}

%description -n	%{staticdevelname}
This package contains the static -ly library sometimes used by programs using
Bison-generated parsers. If you are developing programs using Bison, you might
want to link with this library. This library is not required by all
Bison-generated parsers, but may be employed by simple programs to supply
minimal support for the generated parsers.

%prep
%setup -q
%apply_patches

#fix build with autoreconf
sed -i -e 's,AM_GNU_GETTEXT_VERSION,AM_GNU_GETTEXT_REQUIRE_VERSION,' configure.ac

%build
autoreconf -fi
%configure2_5x
%make_build


%install
rm -rf %buildroot
%make_install

mv %{buildroot}%{_bindir}/yacc %{buildroot}%{_bindir}/yacc.bison

%find_lang %{name} --all-name

%post
%{_sbindir}/update-alternatives --install %{_bindir}/yacc yacc %{_bindir}/yacc.bison 10

%preun
if [ $1 -eq 0 ]; then
  %{_sbindir}/update-alternatives --remove yacc %{_bindir}/yacc.bison
fi

%files -f %{name}.lang
%doc AUTHORS COPYING NEWS README THANKS TODO
%{_bindir}/*
%dir %{_datadir}/bison
%{_datadir}/bison/*
%{_datadir}/aclocal/*
%{_infodir}/bison.info*
%{_mandir}/man1/*
%{_docdir}/bison/examples

%files -n %{staticdevelname}
%{_libdir}/liby.a


%changelog
* Sat Jan 14 2023 tex - 3.8.2-5pclos2023
- rebuild against updates

* Sat Oct 01 2022 tex - 3.8.2-4pclos2022
- rebuild against updates

* Thu Mar 03 2022 tex - 3.8.2-3pclos2022
- rebuild against updates

* Tue Jan 25 2022 tex - 3.8.2-2pclos2022
- rebuild against updates

* Sat Sep 25 2021 tex - 3.8.2-1pclos2021
- new version

* Sun Sep 12 2021 tex - 3.8.1-1pclos2021
- new version

* Wed Sep 08 2021 tex - 3.8-1pclos2021
- 3.8
